#!/usr/bin/bash

MIRRORPATH=/mnt/lalis/mirror/mageia/lalis/

for X in 7 8
{
    rsync -aP SRPMS/*mga$X* $MIRRORPATH/$X/SRPMS/core/
    if [ $? -ne 0 ]; then
	echo "error rsync : $LINENO"
	#exit 1
    fi
    for ARCH in x86_64 i586 #aarch64 armv7hl
    {
        rsync -aP RPMS/noarch/*mga$X* $MIRRORPATH/$X/$ARCH/media/core/
       	if [ $? -ne 0 ]; then
            echo "error rsync : $LINENO"
            #exit 1
        fi 
	nice -n 19 gendistrib --nobadrpm --blind --skipmissingdir --mediacfg $MIRRORPATH/$X/$ARCH/media/media_info/media.cfg $MIRRORPATH/$X/$ARCH
    }
}
chmod a+rX -R . 
